<div class="text-white nav-container">
  <div class="d-flex flex-column side-nav">
    <div class="navbar-item" (click)="navigate('dashboard')" [class.active-nav]="navType=='dashboard'">
      <mat-icon class="mx-3">dashboard</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">Dashboard</div>
    </div>
    <div class="navbar-item" (click)="navigate('profile')" [class.active-nav]="navType=='profile'">
      <mat-icon class="mx-3">person</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">Profile</div>
    </div>
    <div class="navbar-item" (click)="navigate('faqs')" [class.active-nav]="navType=='faqs'">
      <mat-icon class="mx-3">help</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">FAQs</div>
    </div>
    <div class="navbar-item" (click)="navigate('settings')" [class.active-nav]="navType=='settings'">
      <mat-icon class="mx-3">settings</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">Settings</div>
    </div>
    <div class="navbar-item" (click)="navigate('about')" [class.active-nav]="navType=='about'">
      <mat-icon class="mx-3">group</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">About Us</div>
    </div>
    <div class="navbar-item">
      <mat-icon class="mx-3">power_settings_new</mat-icon>
      <div class="nav-collapsed" [class.nav-expanded]="!sharedService.isSidebarVisible">Logout</div>
    </div>
  </div>
</div>
